# Set USER_AGENT variable
set -x USER_AGENT "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/136.0.0.0 Safari/537.36"

# Aliases
alias yt-dlp="yt-dlp --downloader aria2c --user-agent \"$USER_AGENT\""
alias downloadAudio="yt-dlp -o '%(playlist_index)s %(title)s.%(ext)s' -x"
alias downloadMusic="yt-dlp -x --add-metadata -o '%(playlist_title)s/%(playlist_index)s %(title)s.%(ext)s'"
alias dlBeat="yt-dlp --no-playlist --audio-format m4a -x"
alias downloadYT="yt-dlp --write-thumbnail -o '%(title)s.%(ext)s' --embed-thumbnail --embed-chapters --embed-info-json --convert-thumbnails jpg"

# Info JSON

# info_json VIDEO_FILE
# Extract info.json from video file
function info_json
    mkvextract -q attachments $argv[1] "1:/proc/self/fd/1"
end

# info_json_url VIDEO_FILE
function info_json_url
    info_json $argv[1] | jq -r .webpage_url
end

# info_json_title VIDEO_FILE
function info_json_title
    info_json $argv[1] | jq -r .title
end

# info_json_desc VIDEO_FILE
function info_json_desc
    info_json $argv[1] | jq -r .description
end

# info_json_uploader VIDEO_FILE
function info_json_uploader
    info_json $argv[1] | jq -r .uploader
end

# info_json_uploader_url VIDEO_FILE
function info_json_uploader_url
    info_json $argv[1] | jq -r .uploader_url
end

# info_json_upload_date VIDEO_FILE
function info_json_upload_date
    info_json $argv[1] | jq -r .upload_date
end
